Bug 498247 - CLI utilities display Python back-traces in some error cases
CLI utilities display Python back-traces in some error cases
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Nuno Santos
Jiri Kolar
:
: 497412 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 11:33 EDT by Ted Ross
Modified: 2013-09-12 18:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The qpid CLI utilities occasionally displayed Python stack traces when an error occurred which provided very little information to the used. With this update, all error cases result in a user-understandable error message.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2009-04-29 11:33:37 EDT
The qpid CLI utilities will sometimes display Python stack traces when an error occurs.  They should be modified such that all error cases result in a user-understandable error message.
Comment 2 Nuno Santos 2010-05-26 10:54:38 EDT
*** Bug 497412 has been marked as a duplicate of this bug. ***
Comment 3 Nuno Santos 2010-05-26 11:01:19 EDT
This issue has been fixed in the meanwhile, the exception-generating code (related to calling a non-existing method __repr__() on python 2.4) is no longer present in the codebase.
Comment 5 Jiri Kolar 2010-09-20 08:50:48 EDT
reproducible in 1.2 and fixed on qpid-tools-0.7.946106-10

validated on RHEL5.5/RHEL4  i386 / x86_64  

packages:
# rpm -qa | grep -E '(qpid|openais|rhm)' | sort -u

openais-0.80.6-16.el5_5.7
openais-devel-0.80.6-16.el5_5.7
python-qpid-0.7.946106-14.el5
qpid-cpp-client-0.7.946106-15.el5
qpid-cpp-client-devel-0.7.946106-15.el5
qpid-cpp-client-devel-docs-0.7.946106-15.el5
qpid-cpp-client-ssl-0.7.946106-15.el5
qpid-cpp-mrg-debuginfo-0.7.946106-14.el5
qpid-cpp-server-0.7.946106-15.el5
qpid-cpp-server-cluster-0.7.946106-15.el5
qpid-cpp-server-devel-0.7.946106-15.el5
qpid-cpp-server-ssl-0.7.946106-15.el5
qpid-cpp-server-store-0.7.946106-15.el5
qpid-cpp-server-xml-0.7.946106-15.el5
qpid-java-client-0.7.946106-9.el5
qpid-java-common-0.7.946106-9.el5
qpid-tools-0.7.946106-10.el5
rhm-docs-0.7.946106-5.el5
rh-tests-distribution-MRG-Messaging-qpid_common-1.6-53

->VERIFIED
Comment 6 Martin Prpič 2010-10-07 09:43:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The qpid CLI utilities occasionally displayed Python stack traces when an error occurred which provided very little information to the used. With this update, all error cases result in a user-understandable error message.
Comment 8 errata-xmlrpc 2010-10-14 12:14:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.